import React from 'react';
import { Card } from 'antd';
import Page from '@/components/Page';
import DeptTree from '@/components/DeptTree';
import List from './components/List';

export default (props) => {

  const [deptList, setDeptList] = React.useState([])
  const treeRef = React.useRef();
  const [current, setCurrernt] = React.useState()

  const onFinish = () => {
    treeRef.current.reload();
  }

  const onSelect = (e) => {
    setCurrernt(deptList.find(x => x.deptId == e))
  }

  return (
    <Page>
      <div className="flex">
        {/* <Card className="flex-0" style={{ width: '480px', marginRight: '24px' }}>
          <DeptTree ref={treeRef} onList={setDeptList} onSelect={onSelect} />
        </Card> */}
        <div className="flex-1">
          <List
            parentId={current?.deptId}
            allData={deptList}
            onFinish={onFinish}
          />
        </div>
      </div>
    </Page>
  )
}
